Skip to main content
GET
/
api
/
sandboxes
/
{id}
Get Sandbox
curl --request GET \
  --url https://app.opencomputer.dev/api/sandboxes/{id} \
  --header 'X-API-Key: <api-key>'
{
  "sandboxID": "sb-abc123",
  "status": "running",
  "region": "use2",
  "workerID": "w-use2-abc123",
  "tags": { "env": "prod", "team": "payments" },
  "tagsLastUpdatedAt": "2026-04-19T14:02:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.opencomputer.dev/llms.txt

Use this file to discover all available pages before exploring further.

Get sandbox details by ID. Available on both control plane and worker.
id
string
required
Sandbox ID
{
  "sandboxID": "sb-abc123",
  "status": "running",
  "region": "use2",
  "workerID": "w-use2-abc123",
  "tags": { "env": "prod", "team": "payments" },
  "tagsLastUpdatedAt": "2026-04-19T14:02:00Z"
}
tags and tagsLastUpdatedAt are always present — empty object and null respectively when no tags are set. Update them with PUT /api/sandboxes/{id}/tags.